view_adaptor.hpp File Reference

## Classes

struct | ranges::v3::adaptor_base
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >
struct | ranges::v3::adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::view_adaptor< Derived, BaseRng, Cardinality >

## Typedefs

template<typename D >
using | ranges::v3::adaptor_cursor_t = adaptor_cursor< detail::adapted_iterator_t< D >, detail::begin_adaptor_t< D > >
template<typename D >
using | ranges::v3::adaptor_sentinel_t = meta::if_< meta::and_< Same< detail::adapted_iterator_t< D >, detail::adapted_sentinel_t< D > >, Same< detail::begin_adaptor_t< D >, detail::end_adaptor_t< D > >>, adaptor_cursor_t< D >, adaptor_sentinel< detail::adapted_sentinel_t< D >, detail::end_adaptor_t< D > >>